Bug 1374608 - geo-replication *changes.log does not respect the log-level configured
Summary: geo-replication *changes.log does not respect the log-level configured
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: geo-replication
Version: 3.9
Hardware: All
OS: All
high
high
Target Milestone: ---
Assignee: Aravinda VK
QA Contact:
URL:
Whiteboard:
Depends On: 1363729 1363965
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-09 08:25 UTC by Aravinda VK
Modified: 2016-12-06 06:00 UTC (History)
6 users (show)

Fixed In Version: glusterfs-3.9.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1363965
Environment:
Last Closed: 2016-12-06 06:00:59 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Aravinda VK 2016-09-09 08:25:27 UTC
+++ This bug was initially created as a clone of Bug #1363965 +++

+++ This bug was initially created as a clone of Bug #1363729 +++

Description of problem:

Geo-replication *changes.log does not respect the log-level configured. Always logs the trace &  debug logs regardless of the log-level configured. 


Version-Release number of selected component (if applicable):

How reproducible:

Always

Steps to Reproduce:

1. Setup geo-replication session 
2. check the *changes.log under /var/log/glusterfs/geo-replication/<volname>


Actual results:

*changes.log logs the debug and trace logs even the log-level is info

Expected results:

*changes.log should log messages with respect to the log-level set

Additional info:

--- Additional comment from Aravinda VK on 2016-08-03 08:48:17 EDT ---

As a workaround(If manually editing files are ok)

Edit /usr/libexec/glusterfs/python/syncdaemon/master.py in all master nodes. Search for CHANGELOG_LOG_LEVEL. Change the value from 9 to 7.

After changes are complete, Stop and Start the Geo-rep session. Changes log should start logging in INFO mode.

Patch sent to upstream to fix the issue.
http://review.gluster.org/15078

--- Additional comment from Vijay Bellur on 2016-08-04 03:31:31 EDT ---

REVIEW: http://review.gluster.org/15078 (geo-rep: Use configured log_level for libgfchangelog logs) posted (#2) for review on master by Aravinda VK (avishwan@redhat.com)

--- Additional comment from Vijay Bellur on 2016-08-08 03:10:39 EDT ---

REVIEW: http://review.gluster.org/15078 (geo-rep: Use configured log_level for libgfchangelog logs) posted (#3) for review on master by Aravinda VK (avishwan@redhat.com)

--- Additional comment from Vijay Bellur on 2016-08-09 04:56:09 EDT ---

REVIEW: http://review.gluster.org/15078 (geo-rep: Use configured log_level for libgfchangelog logs) posted (#4) for review on master by Aravinda VK (avishwan@redhat.com)

--- Additional comment from Vijay Bellur on 2016-08-09 06:54:55 EDT ---

REVIEW: http://review.gluster.org/15078 (geo-rep: Use configured log_level for libgfchangelog logs) posted (#5) for review on master by Aravinda VK (avishwan@redhat.com)

--- Additional comment from Worker Ant on 2016-08-22 01:21:31 EDT ---

REVIEW: http://review.gluster.org/15078 (geo-rep: Use configured log_level for libgfchangelog logs) posted (#6) for review on master by Atin Mukherjee (amukherj@redhat.com)

--- Additional comment from Worker Ant on 2016-08-25 04:17:26 EDT ---

REVIEW: http://review.gluster.org/15078 (geo-rep: Use configured log_level for libgfchangelog logs) posted (#7) for review on master by Aravinda VK (avishwan@redhat.com)

--- Additional comment from Worker Ant on 2016-09-08 02:20:38 EDT ---

REVIEW: http://review.gluster.org/15078 (geo-rep: Use configured log_level for libgfchangelog logs) posted (#8) for review on master by Aravinda VK (avishwan@redhat.com)

--- Additional comment from Worker Ant on 2016-09-09 03:23:33 EDT ---

COMMIT: http://review.gluster.org/15078 committed in master by Aravinda VK (avishwan@redhat.com) 
------
commit f41ec4fcfaa9ca976fddbe9e91aabf840c20111f
Author: Aravinda VK <avishwan@redhat.com>
Date:   Wed Aug 3 17:52:20 2016 +0530

    geo-rep: Use configured log_level for libgfchangelog logs
    
    libgfchangelog was not respecting the log_level configured
    in Geo-replication. With this patch Libgfchangelog log level
    can be configured using `config changelog_log_level TRACE`.
    Default Changelog log level is INFO
    
    BUG: 1363965
    Change-Id: Ida714931129f6a1331b9d0815da77efcb2b898e3
    Signed-off-by: Aravinda VK <avishwan@redhat.com>
    Reviewed-on: http://review.gluster.org/15078
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Kotresh HR <khiremat@redhat.com>

Comment 1 Worker Ant 2016-09-09 08:29:33 UTC
REVIEW: http://review.gluster.org/15444 (geo-rep: Use configured log_level for libgfchangelog logs) posted (#1) for review on release-3.9 by Aravinda VK (avishwan@redhat.com)

Comment 2 Worker Ant 2016-09-15 06:29:50 UTC
COMMIT: http://review.gluster.org/15444 committed in release-3.9 by Aravinda VK (avishwan@redhat.com) 
------
commit bc1a6900be5ba9834c3744ae454f8beee242c1d4
Author: Aravinda VK <avishwan@redhat.com>
Date:   Wed Aug 3 17:52:20 2016 +0530

    geo-rep: Use configured log_level for libgfchangelog logs
    
    libgfchangelog was not respecting the log_level configured
    in Geo-replication. With this patch Libgfchangelog log level
    can be configured using `config changelog_log_level TRACE`.
    Default Changelog log level is INFO
    
    > Reviewed-on: http://review.gluster.org/15078
    > Smoke: Gluster Build System <jenkins@build.gluster.org>
    > NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    > CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    > Reviewed-by: Kotresh HR <khiremat@redhat.com>
    
    BUG: 1374608
    Change-Id: Ida714931129f6a1331b9d0815da77efcb2b898e3
    Signed-off-by: Aravinda VK <avishwan@redhat.com>
    (cherry picked from commit f41ec4fcfaa9ca976fddbe9e91aabf840c20111f)
    Reviewed-on: http://review.gluster.org/15444
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Saravanakumar Arumugam <sarumuga@redhat.com>

Comment 3 Aravinda VK 2016-10-27 05:22:38 UTC
glusterfs-3.9.0rc2 is released[1] and packages are available for different distributions[2] to test.

[1] http://www.gluster.org/pipermail/maintainers/2016-October/001601.html
[2] http://www.gluster.org/pipermail/maintainers/2016-October/001605.html and http://www.gluster.org/pipermail/maintainers/2016-October/001606.html

Comment 4 Aravinda VK 2016-12-06 06:00:59 UTC
Gluster 3.9 GA is released http://blog.gluster.org/2016/11/announcing-gluster-3-9/


Note You need to log in before you can comment on or make changes to this bug.